Bug 5910 - Authorities : allow users to search on all auth types
Summary: Authorities : allow users to search on all auth types
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.10
Hardware: All All
: P3 enhancement (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5581
  Show dependency treegraph
 
Reported: 2011-03-20 22:45 UTC by Chris Cormack
Modified: 2013-12-05 20:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.09 KB, patch)
2011-03-20 22:47 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch for T::TT (2.06 KB, patch)
2011-08-09 15:05 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 5910: allow users to search on all auth types (2.17 KB, patch)
2012-06-10 14:17 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 5910: only add "All authority types" for UNIMARC (3.50 KB, patch)
2012-06-10 14:17 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 5910: [SIGNED-OFF] only add "All authority types" for UNIMARC (3.54 KB, patch)
2012-06-12 13:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-20 22:45:30 UTC

    
Comment 1 Chris Cormack 2011-03-20 22:47:13 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-04-01 00:25:34 UTC
Hmm I cant see the send off patch anywhere, did you forget to send it Julian?
Comment 3 Julian Maurice 2011-04-01 07:33:00 UTC
Yes, sorry about that.
Sent the rebased signed off patch.
Comment 4 Chris Cormack 2011-04-28 21:28:21 UTC
I still seem to be missing the signed off patch. Not on the mailing lists or attached.
Comment 5 Chris Cormack 2011-06-14 02:09:00 UTC
Julian I still cant find the signed off patch sorry :(
Comment 6 Paul Poulain 2011-08-09 15:05:09 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2011-08-14 15:39:24 UTC
Patch applies.

Testing procedure:
- Added topical term: smith
- Added personal name: smith, herbert

On master: 
- A search with 'Default' brings up both authorities, all tabs 
    Search Authorities
    Search Main Heading
    Search All Headings
  are working.

After adding patch an additional entry is shown in the search pull down "All authority Types"

I get the same search results for 'Default' and 'All Authority Types'. 

Small problem: After searching for 'Default' the pull down stays on 'Default', same for other frameworks. After searching for 'All Authority Types' it jumps back to 'Default'. 

I question if we need both?

Where is the difference between both search options? 

As we also have a 'Default' framework for bibliographic cataloging I am not sure if renaming it might cause confusion.

I am marking this 'Failed QA' becaue I don't see how this is useful and there is a small problem to be addressed if we want this to go in.
Comment 8 Katrin Fischer 2011-08-14 15:44:05 UTC
I am putting this back to 'Needs Signoff' - my tests are invalid.

I see now that both my records got added as 'Default', although I had chosen the named frameworks when adding them. Investigating.
Comment 9 Katrin Fischer 2011-08-14 15:48:01 UTC
Sorry for causing confusion - tests ARE valid. The right types are in my auth_header table. It seems there is a display problem on the authority detail page. I am going to file a separate bug for that.
Comment 10 Jared Camins-Esakov 2012-06-10 14:17:41 UTC
Created attachment 10116 [details] [review]
Bug 5910: allow users to search on all auth types

Add search on "all authorities types" option in the authorities type select

rewritten for T::T

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 11 Jared Camins-Esakov 2012-06-10 14:17:53 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2012-06-12 13:06:56 UTC
Created attachment 10249 [details] [review]
Bug 5910: [SIGNED-OFF] only add "All authority types" for UNIMARC

UNIMARC is the only marcflavour that does not already have an option
for searching all authority types, so check that the marcflavour is
UNIMARC before displaying the additional "All authority types" option.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Ian Walls 2012-06-15 17:03:35 UTC
Both patches together add the "all authority types" option for UNIMARC in a safe and sane way.  Marking Passed QA.
Comment 14 Paul Poulain 2012-06-20 20:25:23 UTC
I've pushed the patches because they work as announced but I'd like to understand why 
> UNIMARC is the only marcflavour that does not already have an option
> for searching all authority types, so check that the marcflavour is
> UNIMARC before displaying the additional "All authority types" option.

if it works under MARC21, why wouldn't we use the same method for UNIMARC ? How does it work for MARC21 ?
Comment 15 Jared Camins-Esakov 2012-06-20 20:32:02 UTC
(In reply to comment #14)
> if it works under MARC21, why wouldn't we use the same method for UNIMARC ?
> How does it work for MARC21 ?

Actually, the way it works for MARC21 can only be called... uhhh... weird? There is actually a blank authority type for MARC21, and since Zebra cannot search on blank fields, that is de facto the same as all authority types. The way UNIMARC does it is a lot better.
Comment 16 Paul Poulain 2012-06-20 20:36:56 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > if it works under MARC21, why wouldn't we use the same method for UNIMARC ?
> > How does it work for MARC21 ?
> 
> Actually, the way it works for MARC21 can only be called... uhhh... weird?
> There is actually a blank authority type for MARC21, and since Zebra cannot
> search on blank fields, that is de facto the same as all authority types.
> The way UNIMARC does it is a lot better.

What about doing a follow-up like :
 * removing blank authority type in an updatedatabase
 * remove the [% if (unimarc) %]
would it do the job ?
Comment 17 Jared Camins-Esakov 2012-06-20 21:04:29 UTC
(In reply to comment #16)
> What about doing a follow-up like :
>  * removing blank authority type in an updatedatabase
>  * remove the [% if (unimarc) %]
> would it do the job ?

Unfortunately, it seems like old Koha installations are actually dependent on the "Default" authority type. I hope to reduce the dependency on the Default authority type with my work in the authority module, but as of right now, I don't think we can safely remove it.
Comment 18 Jared Camins-Esakov 2012-12-31 01:14:18 UTC
There have been no further reports of problems so I am marking this bug resolved.